<md-toolbar class="md-hue-2 no-print">
    <div class="md-toolbar-tools">
        <div flex md-truncate>
            <h2>RESULT ENTRY</h2>
        </div>
        <md-input-container>
            <label>Round</label>
            <md-select ng-model="master.round_id" ng-change="round_change()">
                <md-option><em>None</em></md-option>
                <md-option ng-repeat="x in Round" ng-value="x.roundId">
                    {{x.roundName}}
                </md-option>
            </md-select>
        </md-input-container>
        <!-- <md-input-container>
            <label>Party</label>
            <md-select ng-model="master.party_id" ng-change="on_party_change()" multiple="" >
                <md-option><em>None</em></md-option>
                <md-option ng-repeat="x in Party" ng-value="x.party_id">
                    {{x.party_name}}
                </md-option>
            </md-select>
        </md-input-container> -->
        <md-button class="md-raised md-primary" ng-click="btnLoadClick()">Load</md-button>
        <!-- <md-button class="md-raised md-primary" ng-click="btnSaveClick()" >Save</md-button> -->
    </div>
</md-toolbar>
<br>

<div class="container no-print">
    <div class="row">
        <md-input-container class="col-md-3">
            <label>Party</label>
            <md-select ng-model="search.party_id" ng-change="on_party_change()" multiple="">
                <md-option><em>None</em></md-option>
                <md-option ng-repeat="x in Partys" ng-value="x.party_id">
                    {{x.party_name}}
                </md-option>
            </md-select>
        </md-input-container>
        <md-input-container class="col-md-3">
            <label>Head Code</label>
            <input ng-model="search.party_head_code" type="text ">
        </md-input-container>
        <!-- <md-button  class="md-raised md-primary col-md-1" ng-click="btnLoadClick()" >Load</md-button> -->
    </div>
</div>
<div class="container">
    <table class="table">
        <!-- <thead>
            <tr>
                <th>NAME</th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
            </tr>
        </thead> -->
        <!-- <tbody ng-repeat="(m,x) in list">
            <tr>
                <td colspan="7">NAME OF PARTY :-  {{x.party_name}} HEAD CODE 1 Capacity :-   31250000</td>
                <td>{{x.party_lots}}</td>
                <td ng-repeat="(mi,xi) in x.party_lots">
                    <td>{{xi}}</td>
                </td>
            </tr>
        </tbody> -->
    </table>
    <!-- { party_head_code: search.party_head_code, party_id : search.party_id}:true -->
    <div class="row" ng-repeat="(m,x) in list | filter:myFilter | filter:{ party_head_code : search.party_head_code  }" ng-if="x.party_bidding_capacity!= undifined">
        <h5>NAME OF PARTY :- {{x.party_name}} HEAD CODE {{x.party_head_code}} Capacity :- {{x.party_bidding_capacity}}
        </h5>
        <table class="table table-bordered table-striped table-hover table-sm" style="font-size: 13px;">
            <thead>
                <tr>
                    <td style="width: 60px;">Sr No</td>
                    <td style="width: 60px;">Rank</td>
                    <td style="width: 100px;">Lot No</td>
                    <td>SOCIETY</td>
                    <td style="width: 100px;"> D.UNION</td>
                    <td style="width: 100px;">St.Bags</td>
                    <td style="width: 100px;">RATE</td>
                    <!-- <td style="width: 100px;">L Year</td> -->
                    <!-- <td style="width: 100px;">Diff</td> -->
                    <!-- <td style="width: 100px;">%</td> -->
                    <td style="width: 100px; text-align: right;">Amount</td>
                    <td style="width: 80px; text-align: right;">Pr.No</td>
                    <td style="width: 100px;">Status</td>
                    <td style="width: 150px;">Result Status</td>
            </thead>
            </tr>
            <tbody>
                <tr ng-repeat="(mi,xi) in x.party_lot_data">
                    <td style="width: 60px;">{{mi+1}}
                        <!-- <md-checkbox ng-model="data.cb1" aria-label="Checkbox 1"></md-checkbox> -->
                    </td>
                    <td>{{xi.party_lot_rank}}</td>
                    <!-- {{x.party_lot_data}} -->
                    <td>{{xi.Lot.lotNo}} </td>
                    <td>{{xi.Lot.lotName}} </td>
                    <td>{{xi.Lot.lotDISTU}} </td>
                    <td>{{xi.Lot.lotSTANB}} </td>
                    <td>{{xi.party_lot_pur_rate}}</td>
                    <!-- <td>4834</td> -->
                    <!-- <td>{{(xi.party_lot_pur_rate-4834)}}</td> -->
                    <!-- <td>{{((xi.party_lot_pur_rate-4834)/4834*100).toFixed(2)}}</td> -->
                    <td style="text-align: right;">{{xi.party_lot_qty_per_rate}}</td>
                    <td style="text-align: right;">{{xi.party_lot_priority}}</td>
                    <td>{{xi.party_lot_status}}</td>
                    <td>
                        <!-- <md-input-container>
                            <label>Result Status</label>
                            <input ng-model="search.party_head_code" type="text ">
                            
                        </md-input-container> -->

                        <input type="checkbox" ng-model="xi.party_lot_result_status" ng-change="on_result_change(xi)" />

                        <!-- <md-input-container class="col-md-12"> -->
                        <!-- <label>Result</label> -->
                        <!-- <md-select ng-model="xi.party_lot_result_status" ng-change="on_result_change(xi)">
                                <md-option value=""><em>None</em></md-option>
                                <md-option value="ALLOTED">ALLOTED</md-option>
                                <md-option value="CAP. OVER">CAP. OVER</md-option>
                                <md-option value="Luckey Rate">Luckey Rate</md-option> -->
                        <!-- <md-option ng-repeat="x in Partys" ng-value="x.party_id">
                                    {{x.party_name}}
                                </md-option> -->
                        <!-- </md-select>
                        </md-input-container> -->
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

</div>